class 'p03_l07_m01_game1_Point'

function p03_l07_m01_game1_Point:__init()
self.step=97
self.startPosPoint={627;43}
self.timeMove=1

self.coord={}

self.typePoint=nil
self.objPoint=nil
end


function p03_l07_m01_game1_Point:getPosMove()
 return self.posMove
end

function p03_l07_m01_game1_Point:setCoord(coord)
  self.coord=coord
end

function p03_l07_m01_game1_Point:getCoord()
 return self.coord
end

function p03_l07_m01_game1_Point:setObject(obj)
 self.objPoint=obj
end

function p03_l07_m01_game1_Point:getObject()
 return self.objPoint
end

function p03_l07_m01_game1_Point:setType(type)
  self.typePoint=type
end

function p03_l07_m01_game1_Point:getType()
 return self.typePoint
end

function p03_l07_m01_game1_Point:calculatePosition()
 --{627;43}
  return Position((self.startPosPoint[1]-self.step*self.coord[2])+self.coord[1]*self.step,
                 (self.startPosPoint[2]+self.step*self.coord[2])+self.coord[1]*self.step)

end
